#ifndef FILEBROWSER_H_
#define FILEBROWSER_H_

#include "modal.h"

struct nk_context;

#define FB_ENTRY_DIR  1
#define FB_ENTRY_FILE 2

struct fb_dir_entries {
    char *dir;
    char **entries;
    int count;
    int *entry_type;
    int fb_type;
};

void filebrowser_init(struct modal_config *cfg);
void filebrowser_exit(void);
void filebrowser_show(struct nk_context *ctx,
                          int screen_w, int screen_h);
char * filebrowser_result(void);
int filebrowser_get_mapping(void);

#endif
